-- $Id: gd.rex 87 2024-02-17 13:14:54Z jeffr $

-- User config variables
rd = 'Monday'
eq = 'Saucony Cohesion TR15'
rt = 'River Road'

parse arg yy mmm td

if yy = '' | DATATYPE(yy) \= NUM | length(yy) > 2 | mmm = '' | DATATYPE(mmm) \= CHAR | length(mmm) > 3 | td = '' | DATATYPE(td) \= NUM | td > 31 then do
	say 'Usage:   gd.rex {yy} {mmm} {no. of days in month}'
	say 'Example: gd.rex 24 Jan 31'
    say 'See script for config variables.'
	exit 1
end

yyyy = 20''yy

do i = 1 to td
    if i < 10 then
        dd = 0''i
    else
        dd = i

    fdate = i mmm yyyy
    if DATE('w', fdate) = rd then
        say dd'-'mmm'-'yy',Rest day'
    else   
        say dd'-'mmm'-'yy',Run (planned),'rt',,'eq',0,0,'
end

exit 0